$(document).ready(function () {

    /**************************
     CARREGA CIDADES
     **************************/
    $('#estado').change(function () {
        carregarCidade2('estado', 'cidade');
    });

    /**************************
     VALIDA FORM
     **************************/
    $('input[name=alterar]').click(function () {
        if (validarForm('1')) {
            return true;
        } else {
            bootbox.alert('Verifique os campos obrigatórios');
            return false;
        }
    });

});


/*** CARREGAR ENDEREÇO PELO CEP **************************/
function pesquisacep(valor) {
    //Nova variável "cep" somente com dígitos.
    var cep = valor.replace(/\D/g, '');
    if (cep != "") {
        var validacep = /^[0-9]{8}$/;
        //Valida o formato do CEP.
        if (validacep.test(cep)) {
            document.getElementById('logradouro').value = "Carregando...";
            var script = document.createElement('script');
            script.src = 'https://viacep.com.br/ws/' + cep + '/json/?callback=meu_callback';
            document.body.appendChild(script);
        } else {
            limpa_formulário_cep();
            alert("Formato de CEP inválido.");
            document.getElementById('cep').value = ("");
        }
    } else {
        limpa_formulário_cep();
    }
}

function limpa_formulário_cep() {
    document.getElementById('logradouro').value = ("");
    document.getElementById('bairro').value = ("");
    document.getElementById('estado').value = ("");
    document.getElementById('cidade').value = ("");
}

function meu_callback(conteudo){
    if (!("erro" in conteudo)) {
        document.getElementById('logradouro').value = (conteudo.logradouro);
        document.getElementById('bairro').value = (conteudo.bairro);
        var estado = conteudo.uf; //RS
        var cidade = conteudo.localidade; //Porto Alegre
        $('#estado option').each(function () {
            if ($(this).attr('sigla') == estado) {
                $(this).attr('selected', true);
            }
        });
        carregarCidadeCEP(estado,cidade);
        $('#numero').focus();
    } else {
        limpa_formulário_cep();
        alert("CEP não encontrado.");
    }
}

function carregarCidadeCEP(estado, cidade){
    var estado = estado;
    var cidade = cidade;  
    var url = $('#url').val();
    if (estado != '') {
        $('#cidade').html('<option value="">carregando...</option>');
        $.post(url+"ajax-carregar-cidade-cadastro.php", {estado: estado, cidade:cidade}, function (result) {
            $('#cidade').html(result);
        });
    } else {
        $('#cidade').html('<option value=""></option>');
    }
}

/**************Carrega cidade por select *****************/
function carregarCidade() {
    if ($('#estado').val() != '') {
        $('#cidade').html('<option value="">carregando...</option>');
        var estado = $('#estado').val();
        $.post("ajax-carregar-cidade.php", {estado: estado}, function (result) {
            $('#cidade').html(result);
        });
    } else {
        $('#cidade').html('<option value=""></option>');
    }
}